# ArOverlayFindAndPickConfiguration class

Configuration of the AR overlay.

## Constructors

ArOverlayFindAndPickConfiguration.new({bool visible = false, bool automaticSelectionEnabled = true, FindAndPickArOverlayPolygonConfiguration? polygon, FindAndPickBadgeConfiguration? badge})
ArOverlayFindAndPickConfiguration.fromJson(Map<String, dynamic> json)
  factory

## Properties

automaticSelectionEnabled ↔ bool
  If enabled, the scanner will always immediately scan a barcode in the viewfinder or the camera view. The overlay will mark the scanned barcodes and stays above them.
  getter/setter pair
badge ↔ FindAndPickBadgeConfiguration
  Configuration of the round badge on find and pick ar layer.
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
polygon ↔ FindAndPickArOverlayPolygonConfiguration
  Configuration of the overlay polygon displayed on top of a barcode in the camera preview.
  getter/setter pair
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
visible ↔ bool
  Control the visibility of the user guidance.
  getter/setter pair

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson({ToJsonConfiguration? config}) → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited